itpp::Dummy_Code Class Reference
Forward Error Correcting Codes

Dummy Channel Code class. More...

`#include <itpp/comm/channel_code.h>`

Inheritance diagram for itpp::Dummy_Code:

## Public Member Functions

| Dummy_Code ()
| Default constructor.
virtual | ~Dummy_Code ()
| Destructor.
virtual void | encode (const bvec &uncoded_bits, bvec &coded_bits)
| Encode a bvec of input.
virtual bvec | encode (const bvec &uncoded_bits)
| Encode a bvec of input.
virtual void | decode (const bvec &coded_bits, bvec &decoded_bits)
| Decode a bvec of coded data.
virtual bvec | decode (const bvec &coded_bits)
| Decode a bvec of coded data.
virtual void | decode (const vec &received_signal, bvec &decoded_bits)
| Decode a vec of received data. Assumes soft input (BPSK modulated)
virtual bvec | decode (const vec &received_signal)
| Decode a vec of received data. Assumes soft input (BPSK modulated)
virtual double | get_rate () const
| Get the code rate.

## Detailed Description

Dummy Channel Code class.

A dummy code class. Uncoded output.

Definition at line 86 of file channel_code.h.

The documentation for this class was generated from the following file:

- itpp/comm/channel_code.h

Generated on Thu Mar 20 2014 12:26:46 for IT++ by Doxygen 1.8.6